PTOH(1)

NAME
ptoh - converts a PROSITE-formatted profile into an approximately equivalent HMM

SYNOPSIS

ptoh [ -fFhs ] [ profile-file | - ] [ random-model-file ] [L=#]
        [I=#] [D=#]

DESCRIPTION
ptoh converts a PROSITE-formatted generalized profile into an approximately equivalent HMMER1- or SAM-formatted hidden Markov model (HMM). profile-file is a nucleic acid or protein profile in PROSITE format. random-model-file contains a simple null-model in the format used by the HMM search programs of the HMMER1 package. The result is written to the standard output.

The profile-to-HMM conversion method is described in Bucher et al. (1996). All profile scores corresponding to transitions which are not supported by the HMM architectures of the SAM and HMMER1 packages, are ignored. If no random model is specified on the command line, the null model given in the GENERAL_SPEC data block of the profile is used. If this is also missing, a flat residue distribution is assumed.

OPTIONS

-f  Generate free insert-modules (FIMs) at the beginning and at the end of the model which approximately emulate domain-global or semi-global alignment mode (see Bucher et al. 1996).

-F  Generate free insert-modules (FIMs) at the beginning and at the end of the model which approximately emulate local alignment mode.

-h  Output in HMMER1 ascii format. This is the default.

-s  Output in SAM format.

ADDITIONAL PARAMETERS

D=# Delete-to-delete transition probabilities used in conjunction with FIMs (options -f, -F). This value will be imposed on all delete-to-delete transitions of the model. The other outgoing transitions from the affected delete states will be renormalized to satisfy the "sum to one" requirement. Note that the application of the D parameter precedes the application of the I parameter. Delete-to-delete probabilities at the beginning and at the end of the model may thus change again as a result of renormalizations following the application of the I parameter. Default: D=0.9.

I=# Insert-to-insert transition probabilities used in the FIMs ( see options -f, -F). This value will be imposed on the first and the last match-to-insert and insert-to-insert transition probabilities of the model. The other outgoing transitions of the affected states will be renormalized such as to satisfy the "summing to one" requirement. If the -F option is simultaneously set, the I parameter will also be imposed on the insert-to-delete transition probability at the beginning, and on the delete-to-insert transition probability at the end of the model. Default: I=0.99.

L=# Logarithmic base used for conversion of the profile scores into HMM probabilities (The profile scores are interpreted as log-odds ratios, see Bucher et al. 1996). This value over-writes the logarithmic base specified within the profile by the optional LOG_BASE parameter. Default: 1.0233739 (1/30 bit units).

EXAMPLES

(1) ptoh -Fs sh3.prf standard.random L=1.0233739 > sh3.hmm

    Generates a SAM-formatted HMM for the SH3 domain from a profile. sh3.prf contains the source profile in PROSITE format. standard.random contains the null-model used for conversion of the log-odds ratios into probabilities. The logarithmic base 1.0233739 corresponds to 1/30 bits, the implicit scale of the profile. The -F option causes the HMM to emulate local alignment (fragment search) mode.

REFERENCES

Bucher P, Karplus K, Moeri N & Hofmann, K. (1996). A flexible motif search technique based on generalized profiles. Comput. Chem. 20:3-24.

AUTHOR
Philipp Bucher
Philipp.Bucher@isrec.unil.ch